﻿using System.ComponentModel.DataAnnotations;

namespace CalendarNotepad.Models
{
    /// <summary>
    /// 附件文件单元
    /// </summary>
    public class PlusFileUnit:TableBase
    {
        /// <summary>
        /// 文件指纹ID
        /// </summary>
        [Key]
        public string? FileId { get; set; }
        /// <summary>
        /// 文件内容
        /// </summary>
        public byte[]? FileContent { get; set; }
        /// <summary>
        /// 文件类型 .jpj .txt等
        /// </summary>
        public string? FileType { get; set; }
    }
}
