﻿using System.ComponentModel.DataAnnotations;

namespace CalendarNotepad.Models
{
    /// <summary>
    /// 数据表基类
    /// </summary>
    public abstract class TableBase
    {
        /// <summary>
        /// 数据主键
        /// </summary>
        [Key]
        [SqlSugar.SugarColumn(Length = 32)]
        public string Id { get; set; } = Guid.NewGuid().ToString("N");
        /// <summary>
        /// 记录创建或最后修改时间
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;
    }
}
